#ifndef KDIALOG_H
#define KDIALOG_H

#include <QtGui/QDialog>

namespace Ui {
    class KDialog;
}

class KDialog : public QDialog {
    Q_OBJECT
public:
    KDialog(QWidget *parent = 0);
    ~KDialog();
    void setMainWidget(QWidget *widget);
    static QString makeStandardCaption(QString title,QWidget *widget=0);
protected:
    void changeEvent(QEvent *e);

private:
    Ui::KDialog *m_ui;
};

#endif // KDIALOG_H
